﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.io/gitea/1.10.3/gitea-1.10.3-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.io/gitea/1.10.3/gitea-1.10.3-windows-4.0-amd64.exe'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = 'acd75da387076c24223d0f21ce429ee168015551ee46679023249a45df922ff6'
  checksumType  = 'sha256'
  checksum64    = '7d5649405cf8e5ae28a1b2f794b28d097f871291d0d594a31585279a3d2c178d'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
